Update a user's roles

Update Organization and Workspace roles for a user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization to which the user belongs.
userIdstringRequired
The user's ID

Request

This endpoint expects an object.
dagRoleslist of objectsOptional
The user's updated DAG roles.
deploymentRoleslist of objectsOptional

The user’s updated Deployment roles. Requires also specifying an OrganizationRole.

organizationRolestringOptional
The user's updated Organization role.
workspaceRoleslist of objectsOptional

The user’s updated Workspace roles. Requires also specifying an OrganizationRole.

Response

The response body containing the user's roles
dagRoleslist of objects
A list of the subject's DAG roles.
deploymentRoleslist of objects
A list of the subject's Deployment roles. Currently only for API tokens.
organizationRolestring
The subject's Organization role.
workspaceRoleslist of objects
A list of the subject's Workspace roles.

Errors

400
Update User Roles Body Bad Request Error
401
Update User Roles Body Unauthorized Error
403
Update User Roles Body Forbidden Error
404
Update User Roles Body Not Found Error
500
Update User Roles Body Internal Server Error